set_property BITSTREAM.CONFIG.UNUSEDPIN PULLNONE [current_design]

#### ===========================================================================
#### USR
#### ===========================================================================

#set_property -dict {PACKAGE_PIN AE10 IOSTANDARD LVCMOS33} [get_ports {usr_0}]
#set_property -dict {PACKAGE_PIN AF10 IOSTANDARD LVCMOS33} [get_ports {usr_1}]
#set_property -dict {PACKAGE_PIN AE12 IOSTANDARD LVCMOS33} [get_ports {usr_2}]
#set_property -dict {PACKAGE_PIN AF12 IOSTANDARD LVCMOS33} [get_ports {usr_3}]
#set_property -dict {PACKAGE_PIN AE13 IOSTANDARD LVCMOS33} [get_ports {usr_4}]
#set_property -dict {PACKAGE_PIN AF13 IOSTANDARD LVCMOS33} [get_ports {usr_5}]
#set_property -dict {PACKAGE_PIN AF14 IOSTANDARD LVCMOS33} [get_ports {usr_6}]
#set_property -dict {PACKAGE_PIN AD14 IOSTANDARD LVCMOS33} [get_ports {usr_7}]
#set_property -dict {PACKAGE_PIN AD13 IOSTANDARD LVCMOS33} [get_ports {usr_8}]
#set_property -dict {PACKAGE_PIN AC14 IOSTANDARD LVCMOS33} [get_ports {usr_9}]
#set_property -dict {PACKAGE_PIN Y16  IOSTANDARD LVCMOS33} [get_ports {usr_10}]
#set_property -dict {PACKAGE_PIN AD15 IOSTANDARD LVCMOS33} [get_ports {usr_11}]
#set_property -dict {PACKAGE_PIN AC16 IOSTANDARD LVCMOS33} [get_ports {usr_12}]
#set_property -dict {PACKAGE_PIN AD16 IOSTANDARD LVCMOS33} [get_ports {usr_13}]
#set_property -dict {PACKAGE_PIN AA17 IOSTANDARD LVCMOS33} [get_ports {usr_14}]
#set_property -dict {PACKAGE_PIN AC17 IOSTANDARD LVCMOS33} [get_ports {usr_15}]
#set_property -dict {PACKAGE_PIN AA12 IOSTANDARD LVCMOS33} [get_ports {usr_16}]
#set_property -dict {PACKAGE_PIN AA13 IOSTANDARD LVCMOS33} [get_ports {usr_17}]
#set_property -dict {PACKAGE_PIN AA14 IOSTANDARD LVCMOS33} [get_ports {usr_18}]
#set_property -dict {PACKAGE_PIN AA15 IOSTANDARD LVCMOS33} [get_ports {usr_19}]
#set_property -dict {PACKAGE_PIN AC13 IOSTANDARD LVCMOS33} [get_ports {usr_20}]
#set_property -dict {PACKAGE_PIN W13  IOSTANDARD LVCMOS33} [get_ports {usr_21}]
#set_property -dict {PACKAGE_PIN W14  IOSTANDARD LVCMOS33} [get_ports {usr_22}]
#set_property -dict {PACKAGE_PIN AB14 IOSTANDARD LVCMOS33} [get_ports {usr_23}]
#set_property -dict {PACKAGE_PIN Y13  IOSTANDARD LVCMOS33} [get_ports {usr_24}]
#set_property -dict {PACKAGE_PIN Y15  IOSTANDARD LVCMOS33} [get_ports {usr_25}]
#set_property -dict {PACKAGE_PIN W15  IOSTANDARD LVCMOS33} [get_ports {usr_26}]
#set_property -dict {PACKAGE_PIN W16  IOSTANDARD LVCMOS33} [get_ports {usr_27}]
#set_property -dict {PACKAGE_PIN AB15 IOSTANDARD LVCMOS33} [get_ports {usr_28}]
#set_property -dict {PACKAGE_PIN AB16 IOSTANDARD LVCMOS33} [get_ports {usr_29}]
#set_property -dict {PACKAGE_PIN AB17 IOSTANDARD LVCMOS33} [get_ports {usr_30}]
#set_property -dict {PACKAGE_PIN Y17  IOSTANDARD LVCMOS33} [get_ports {usr_31}]
#set_property -dict {PACKAGE_PIN AA10 IOSTANDARD LVCMOS33} [get_ports {usr_32}]
#set_property -dict {PACKAGE_PIN AD10 IOSTANDARD LVCMOS33} [get_ports {usr_33}]
#set_property -dict {PACKAGE_PIN AB10 IOSTANDARD LVCMOS33} [get_ports {usr_34}]
#set_property -dict {PACKAGE_PIN Y11  IOSTANDARD LVCMOS33} [get_ports {usr_35}]

################################################################################
# PWM
################################################################################

set_property -dict {PACKAGE_PIN AC22 IOSTANDARD LVCMOS33} [get_ports {pwm[0]}]
set_property -dict {PACKAGE_PIN AD23 IOSTANDARD LVCMOS33} [get_ports {pwm[1]}]
set_property -dict {PACKAGE_PIN AC23 IOSTANDARD LVCMOS33} [get_ports {pwm[2]}]
set_property -dict {PACKAGE_PIN AD24 IOSTANDARD LVCMOS33} [get_ports {pwm[3]}]
set_property -dict {PACKAGE_PIN AC24 IOSTANDARD LVCMOS33} [get_ports {pwm[4]}]
set_property -dict {PACKAGE_PIN AB24 IOSTANDARD LVCMOS33} [get_ports {pwm[5]}]
set_property -dict {PACKAGE_PIN AA24 IOSTANDARD LVCMOS33} [get_ports {pwm[6]}]
set_property -dict {PACKAGE_PIN AA25 IOSTANDARD LVCMOS33} [get_ports {pwm[7]}]
set_property -dict {PACKAGE_PIN AF25 IOSTANDARD LVCMOS33} [get_ports {pwm[8]}]
set_property -dict {PACKAGE_PIN AE25 IOSTANDARD LVCMOS33} [get_ports {pwm[9]}]
set_property -dict {PACKAGE_PIN AE26 IOSTANDARD LVCMOS33} [get_ports {pwm[10]}]
set_property -dict {PACKAGE_PIN AD25 IOSTANDARD LVCMOS33} [get_ports {pwm[11]}]
set_property -dict {PACKAGE_PIN AD26 IOSTANDARD LVCMOS33} [get_ports {pwm[12]}]
set_property -dict {PACKAGE_PIN AC26 IOSTANDARD LVCMOS33} [get_ports {pwm[13]}]
set_property -dict {PACKAGE_PIN AB25 IOSTANDARD LVCMOS33} [get_ports {pwm[14]}]
set_property -dict {PACKAGE_PIN AB26 IOSTANDARD LVCMOS33} [get_ports {pwm[15]}]
set_property -dict {PACKAGE_PIN A7 IOSTANDARD LVCMOS18} [get_ports {pwm[16]}]
set_property -dict {PACKAGE_PIN A8 IOSTANDARD LVCMOS18} [get_ports {pwm[17]}]
set_property -dict {PACKAGE_PIN B9 IOSTANDARD LVCMOS18} [get_ports {pwm[18]}]
set_property -dict {PACKAGE_PIN A9 IOSTANDARD LVCMOS18} [get_ports {pwm[19]}]
set_property -dict {PACKAGE_PIN E6 IOSTANDARD LVCMOS18} [get_ports {pwm[20]}]
set_property -dict {PACKAGE_PIN F7 IOSTANDARD LVCMOS18} [get_ports {pwm[21]}]
set_property -dict {PACKAGE_PIN E8 IOSTANDARD LVCMOS18} [get_ports {pwm[22]}]
set_property -dict {PACKAGE_PIN F9 IOSTANDARD LVCMOS18} [get_ports {pwm[23]}]
set_property -dict {PACKAGE_PIN G5 IOSTANDARD LVCMOS18} [get_ports {pwm[24]}]
set_property -dict {PACKAGE_PIN H6 IOSTANDARD LVCMOS18} [get_ports {pwm[25]}]
set_property -dict {PACKAGE_PIN H7 IOSTANDARD LVCMOS18} [get_ports {pwm[26]}]
set_property -dict {PACKAGE_PIN H8 IOSTANDARD LVCMOS18} [get_ports {pwm[27]}]
set_property -dict {PACKAGE_PIN H9 IOSTANDARD LVCMOS18} [get_ports {pwm[28]}]
set_property -dict {PACKAGE_PIN J10 IOSTANDARD LVCMOS18} [get_ports {pwm[29]}]
set_property -dict {PACKAGE_PIN H11 IOSTANDARD LVCMOS18} [get_ports {pwm[30]}]
set_property -dict {PACKAGE_PIN J11 IOSTANDARD LVCMOS18} [get_ports {pwm[31]}]

################################################################################
# GPO
################################################################################

set_property -dict {PACKAGE_PIN AF24 IOSTANDARD LVCMOS33} [get_ports {gpo[0]}]
set_property -dict {PACKAGE_PIN AE23 IOSTANDARD LVCMOS33} [get_ports {gpo[1]}]
set_property -dict {PACKAGE_PIN AF23 IOSTANDARD LVCMOS33} [get_ports {gpo[2]}]
set_property -dict {PACKAGE_PIN AE22 IOSTANDARD LVCMOS33} [get_ports {gpo[3]}]
set_property -dict {PACKAGE_PIN AF22 IOSTANDARD LVCMOS33} [get_ports {gpo[4]}]
set_property -dict {PACKAGE_PIN AE21 IOSTANDARD LVCMOS33} [get_ports {gpo[5]}]
set_property -dict {PACKAGE_PIN AE20 IOSTANDARD LVCMOS33} [get_ports {gpo[6]}]
set_property -dict {PACKAGE_PIN AF20 IOSTANDARD LVCMOS33} [get_ports {gpo[7]}]
set_property -dict {PACKAGE_PIN B7 IOSTANDARD LVCMOS18} [get_ports {gpo[8]}]
set_property -dict {PACKAGE_PIN B6 IOSTANDARD LVCMOS18} [get_ports {gpo[9]}]
set_property -dict {PACKAGE_PIN A5 IOSTANDARD LVCMOS18} [get_ports {gpo[10]}]
set_property -dict {PACKAGE_PIN B5 IOSTANDARD LVCMOS18} [get_ports {gpo[11]}]
set_property -dict {PACKAGE_PIN A4 IOSTANDARD LVCMOS18} [get_ports {gpo[12]}]
set_property -dict {PACKAGE_PIN A3 IOSTANDARD LVCMOS18} [get_ports {gpo[13]}]
set_property -dict {PACKAGE_PIN A2 IOSTANDARD LVCMOS18} [get_ports {gpo[14]}]
set_property -dict {PACKAGE_PIN B1 IOSTANDARD LVCMOS18} [get_ports {gpo[15]}]

################################################################################
# GPI
################################################################################

set_property -dict {PACKAGE_PIN AA23 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[0]}]
set_property -dict {PACKAGE_PIN AB22 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[1]}]
set_property -dict {PACKAGE_PIN AA22 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[2]}]
set_property -dict {PACKAGE_PIN AB21 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[3]}]
set_property -dict {PACKAGE_PIN W20 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[4]}]
set_property -dict {PACKAGE_PIN Y18 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[5]}]
set_property -dict {PACKAGE_PIN W19 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[6]}]
set_property -dict {PACKAGE_PIN W18 IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports {gpi[7]}]
set_property -dict {PACKAGE_PIN F2 IOSTANDARD LVCMOS18} [get_ports {gpi[8]}]
set_property -dict {PACKAGE_PIN G2 IOSTANDARD LVCMOS18} [get_ports {gpi[9]}]
set_property -dict {PACKAGE_PIN G1 IOSTANDARD LVCMOS18} [get_ports {gpi[10]}]
set_property -dict {PACKAGE_PIN H2 IOSTANDARD LVCMOS18} [get_ports {gpi[11]}]
set_property -dict {PACKAGE_PIN H1 IOSTANDARD LVCMOS18} [get_ports {gpi[12]}]
set_property -dict {PACKAGE_PIN J1 IOSTANDARD LVCMOS18} [get_ports {gpi[13]}]
set_property -dict {PACKAGE_PIN K2 IOSTANDARD LVCMOS18} [get_ports {gpi[14]}]
set_property -dict {PACKAGE_PIN K1 IOSTANDARD LVCMOS18} [get_ports {gpi[15]}]

################################################################################
# FLT
################################################################################

set_property -dict {PACKAGE_PIN B4 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[0]}]
set_property -dict {PACKAGE_PIN E5 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[1]}]
set_property -dict {PACKAGE_PIN D6 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[2]}]
set_property -dict {PACKAGE_PIN E7 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[3]}]
set_property -dict {PACKAGE_PIN C6 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[4]}]
set_property -dict {PACKAGE_PIN F8 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[5]}]
set_property -dict {PACKAGE_PIN C7 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[6]}]
set_property -dict {PACKAGE_PIN G9 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[7]}]
set_property -dict {PACKAGE_PIN B2 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[8]}]
set_property -dict {PACKAGE_PIN C2 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[9]}]
set_property -dict {PACKAGE_PIN D5 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[10]}]
set_property -dict {PACKAGE_PIN F5 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[11]}]
set_property -dict {PACKAGE_PIN G6 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[12]}]
set_property -dict {PACKAGE_PIN G7 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[13]}]
set_property -dict {PACKAGE_PIN J8 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[14]}]
set_property -dict {PACKAGE_PIN C8 IOSTANDARD LVCMOS18 PULLDOWN TRUE} [get_ports {flt[15]}]

